Subject: [pim] PIM neighbor filter

From: "iamredheart22 ." <[email-masked]>
Date: Thu, 9 Oct 2014 18:48:31 +0530

Hi,

    I am working with neighbor-filter and see a problem with the feature.

    Let's say there are three switches in the LAN and neighbor filter is
configured to deny the switch with the highest ip. Now there are two DRs in
the LAN which will lead to assert.

     What is the use case scenario for pim neighbor filter? Is there any
feature that needs to be deployed with neighbor-filter to solve the above
problem?

Thanks,
Indranil

---

From: Anish Peter <[email-masked]>
Date: Thu, 9 Oct 2014 20:21:52 +0530

Hi Indranil,
  Support for PIM nbr filter is not a standard/RFC requirement. It may 
be supported by certain implementation for some operational 
requirements/limitations.
  In some deployments its may be desirable to restrict nbrs (memory 
limits/blacklist peers/avoid nbrs over certain link types/ sporadic 
ones/ holdtime infinity/ etc. . .), when this knob could be used.
  As observed by you, it could lead to undesired problems if not used 
judiciously.
Thanks,
Anish

On 10/9/14 6:48 PM, iamredheart22 . wrote:
>     Let's say there are three switches in the LAN and neighbor filter 
> is configured to deny the switch with the highest ip. Now there are 
> two DRs in the LAN which will lead to assert.
>
>      What is the use case scenario for pim neighbor filter? Is there 
> any feature that needs to be deployed with neighbor-filter to solve 
> the above problem?
>
> Thanks,
> Indranil
>
>
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim